Package org.firebirdsql.gds.ng.listeners

## Interface DatabaseListener

- All Known Implementing Classes:
    `AbstractFbBlob`, `AbstractFbWireBlob`, `AbstractFbWireInputBlob`, `AbstractFbWireOutputBlob`, `DatabaseListenerDispatcher`, `DefaultDatabaseListener`, `JnaBlob`, `V10InputBlob`, `V10OutputBlob`

      public interface DatabaseListener

  Listener for database events.

  All listener methods have a default implementation that does nothing.

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `detached​(FbDatabase database)` | Called when the `database` connection has been detached
    `default void` | `detaching​(FbDatabase database)` | Called before the `database` will be detached.
    `default void` | `warningReceived​(FbDatabase database, java.sql.SQLWarning warning)` | Called when a warning was received for the `database` connection.

- - ### Method Detail

    - #### detaching

          default void detaching​(FbDatabase database)

      Called before the `database` will be detached.

      This event is intended for cleanup action, implementer should take care that no exceptions are thrown from this method.

      Parameters:
        `database` - The database object that is detaching

    - #### detached

          default void detached​(FbDatabase database)

      Called when the `database` connection has been detached
      Parameters:
        `database` - The database object that was detached

    - #### warningReceived

          default void warningReceived​(FbDatabase database,
                                       java.sql.SQLWarning warning)

      Called when a warning was received for the `database` connection.

      In implementation it is possible that some warnings are not sent to listeners on the database, but only to listeners on specific connection derived objects (like an `FbStatement` implementation).

      Parameters:
        `database` - Database receiving the warning
        `warning` - Warning